#ifndef MYWIDGET_H
#define MYWIDGET_H

#include <QWidget>
#include <QLabel>
#include <QSize>
#include <QColor>
#include <QPainter>
#include <QPalette>
#include <QHBoxLayout>

namespace kdk {

/**
 * @defgroup ProgressModule
 * @since 2.5
 */

class KProgressLabelPrivate;

class KProgressLabel : public QWidget
{
    Q_OBJECT
public:
    KProgressLabel(QWidget *parent = nullptr);
    ~KProgressLabel();

public:
    /**
     * @brief 设置第二行文本和第一行文本
     * @param list1
     * @param list2
     */
    void setStringList(QStringList list1, QStringList list2);

    /**
     * @brief setStringList
     * @param list1
     */
    void setStringList(QStringList list1);

    /**
     * @brief 设置当前进度
     * @param index
     */
    void setCurrentIndex(int index);

    /**
     * @brief 获取当前进度
     * @return
     */
    int currentIndex();

    /**
     * @brief 设置圆形label的大小
     * @param size
     */
    void setCircleSize(QSize size);

private:
    Q_DECLARE_PRIVATE(KProgressLabel)
    KProgressLabelPrivate * const d_ptr;
};

}
#endif // MYWIDGET_H
